Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0016492
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2011-03-25 15:062011-05-12 13:28
ReporterAinhoaPagolaView Statuspublic 
Assigned Toiperdomo 
PriorityurgentResolutionfixedFixed in Version3.0RC7
StatusclosedFix in branchpiFixed in SCM revision38523b042486
ProjectionnoneETAnoneTarget Version3.0RC7
OSLinux 32 bitDatabasePostgreSQLJava version1.5
OS VersionUbuntu 8.4Database version8.3Ant version1.7
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0016492: It is not possible to use 'EXECUTE' command in callouts in Openbravo 3

DescriptionIn windows using the new layout, it is not possible to append an Array with the EXECUTE command in the callouts, as it won't be evaluated anymore.

Before, it was possible to execute an script, that for instance, displayed a confirm message.
TagsNo tags attached.
Attached Filesdiff file icon ExecuteActionHandler.java.diff [^] (2,144 bytes) 2011-03-25 18:06 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 00165463.0RC6 closedmarvintm Openbravo ERP If a callout uses 'EXECUTE' the window must be marked to be shown in classic mode 
related to defect 0016696 closediperdomo Openbravo ERP Callout not working: SL_Internal_Consumption_Product 
blocks defect 0016484 closedvmromanos Localization Pack: Spain OB3 RC5 - SE_CIFNIF_Validator callout seems not to be working properly 

-  Notes
(0035257)
iperdomo (developer)
2011-03-25 18:07

A sample call to that action handler:

OB.RemoteCallManager.call('org.openbravo.client.application.example.ExecuteActionHandler', {}, {}, function(request, data, response){if(data && data.ex1) {eval(data.ex1);}});
(0036205)
hgbot (developer)
2011-04-29 12:25

Repository: erp/devel/pi
Changeset: 38523b042486577d473d99a838a1a6bfb819be2d
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Fri Apr 29 12:23:04 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/38523b042486577d473d99a838a1a6bfb819be2d [^]

Fixes issue 16492: Added JSEXECUTE command to callouts
- Added the feature JSEXECUTE to execute eval() code in the client
- Added sample callout with a hello world message

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/ob-view-form.js
A modules/org.openbravo.client.application/src/org/openbravo/client/application/example/JSExecuteCalloutExample.java
---
(0036369)
gorkaion (developer)
2011-05-04 18:24

Callouts with an EXECUTE command will make the window to open on classic mode.

Reimplemented callouts using JSEXECUTE command works on new ui.
(0036786)
hudsonbot (developer)
2011-05-12 13:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c40e579fcd38 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-03-25 15:06 AinhoaPagola New Issue
2011-03-25 15:06 AinhoaPagola Assigned To => iperdomo
2011-03-25 15:06 AinhoaPagola Modules => Core
2011-03-25 15:47 shuehner Issue Monitored: shuehner
2011-03-25 18:06 iperdomo File Added: ExecuteActionHandler.java.diff
2011-03-25 18:07 iperdomo Note Added: 0035257
2011-03-25 18:15 iperdomo Status new => acknowledged
2011-03-28 11:56 vmromanos Relationship added blocks 0016484
2011-03-29 19:06 iperdomo Relationship added depends on 0016546
2011-04-04 18:34 vmromanos Issue Monitored: vmromanos
2011-04-07 15:15 AinhoaPagola Relationship added related to 0016696
2011-04-26 16:09 dalsasua Issue Monitored: networkb
2011-04-26 16:43 gorkaion Issue Monitored: gorkaion
2011-04-28 15:40 adrianromero Target Version => 3.0RC7
2011-04-28 18:47 iperdomo Severity major => minor
2011-04-29 11:10 iperdomo Status acknowledged => scheduled
2011-04-29 11:10 iperdomo fix_in_branch => pi
2011-04-29 12:25 hgbot Checkin
2011-04-29 12:25 hgbot Note Added: 0036205
2011-04-29 12:25 hgbot Status scheduled => resolved
2011-04-29 12:25 hgbot Resolution open => fixed
2011-04-29 12:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/38523b042486577d473d99a838a1a6bfb819be2d [^]
2011-05-04 18:24 gorkaion Note Added: 0036369
2011-05-04 18:24 gorkaion Status resolved => closed
2011-05-04 18:24 gorkaion Fixed in Version => 3.0RC7
2011-05-12 13:28 hudsonbot Checkin
2011-05-12 13:28 hudsonbot Note Added: 0036786


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker